/*
 *  Copyright (c) 2005-2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 *  WSO2 Inc. licenses this file to you under the Apache License,
 *  Version 2.0 (the "License"); you may not use this file except
 *  in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 *
 */

/**
 * This js file is for the log mediator specific UI operations
 */

//var sequencemediator;

/*initedit["sequence"] = function initsequenceedit(mediator) {

    sequencemediator = mediator;

    var body_xml = '<ns1:getAvailabelSequences xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '</ns1:getAvailabelSequences>';
    var callURL = serverURL + "/" + PROXY_ADMIN + "/" ;
    send("getAvailabelSequences", body_xml, "", callURL, "", false, initsequenceeditcallback);

};

function initsequenceeditcallback() {

    if (!onError()) {
        return;
    }

    var sequences = xhReq.responseXML.getElementsByTagName("return");
    var selectElem = document.getElementById("seq_ref");

    var seqstring = "";
    for (var i = 0; i < sequences.length; i++) {
        if (sequences[i].firstChild.text != undefined) {
            seqstring += sequences[i].firstChild.text + " ";
            selectElem.options[selectElem.options.length] = new Option(sequences[i].firstChild.text, sequences[i].firstChild.text);
        } else {
            seqstring += sequences[i].firstChild.textContent + " ";
            selectElem.options[selectElem.options.length] = new Option(sequences[i].firstChild.textContent, sequences[i].firstChild.textContent);
        }
    }
}*/

collectdata["sequence"] = function collectlogdata(mediator) {

    var seqref = document.getElementById("seq_ref");
    if (seqref != undefined && seqref != null && seqref.value != "") {
        mediator.setAttribute("key", seqref.value);
        return true;
    } else {
        esbwarning("The referring sequence key must be specified", TYPE_INFO);
        return false;
    }
};

function sequencefromregistry(index) {

    var panelId = ("mypanel" + index).toString();
    registrybrowser("savesequencefromregistry", "dicardregistrybrowser", index, 1, panelId);
}

function savesequencefromregistry(position) {
    var mediator = getnestedmediator(internalmodel.sequence, position);
    var regKey = getRegistryKey();
    var divcontrol = document.getElementById("registryPanel");
    divcontrol.innerHTML = "";
    if (regKey != null && regKey != undefined) {
        mediator.setAttribute("key", regKey);
    }
    var epdiv = document.getElementById("ep");
    if (epdiv != null && mediator != null) {
        processXML(mediator, "mediators/sequence_edit.xsl", epdiv);
    }
}
mediatorelementstring["sequence"] = function logstring() {
    return "<syn:sequence key='' xmlns:syn='http://ws.apache.org/ns/synapse'/>";
};