/*
 *  Copyright (c) 2005-2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 *  WSO2 Inc. licenses this file to you under the Apache License,
 *  Version 2.0 (the "License"); you may not use this file except
 *  in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 *
 */

collectdata["smooks"] = function collectsmooksdata(mediator, validate) {

    var smookskey = document.getElementById("smooks_key");
    if (smookskey != undefined && smookskey != null && smookskey.value != "") {
        mediator.setAttribute("key", smookskey.value);
        return true;
    } else if (!validate) {
        esbwarning("Smooks configuration key has to be given", TYPE_INFO);
        return false;
    }
};

function smooksconfigfromregistry(index) {

    var panelId = ("mypanel" + index).toString();
    registrybrowser("savesmooksconfigfromregistry", "dicardregistrybrowser", index, 1, panelId);
}

function savesmooksconfigfromregistry(position) {
    var mediator = getnestedmediator(internalmodel.sequence, position);
    var regKey = getRegistryKey();
    var divcontrol = document.getElementById("registryPanel");
    divcontrol.innerHTML = "";
    if (regKey != null && regKey != undefined) {
        mediator.setAttribute("key", regKey);
    }
    var epdiv = document.getElementById("ep");
    if (epdiv != null && mediator != null) {
        processXML(mediator, "mediators/smooks_edit.xsl", epdiv);
    }
}
mediatorelementstring["smooks"] = function logstring() {
    return "<syn:smooks key='' xmlns:syn='http://ws.apache.org/ns/synapse'/>";
};