/*
 *  Copyright (c) 2005-2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 *  WSO2 Inc. licenses this file to you under the Apache License,
 *  Version 2.0 (the "License"); you may not use this file except
 *  in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 *
 */

/*
registry.js handles all properties
*/

var REGISTRY_MANAGEMENT = "__RegistryAdmin";

function showRegistries() {
    var body_xml = '<ns1:registryDataRequest xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '</ns1:registryDataRequest>';

    var callURL = serverURL + "/" + REGISTRY_MANAGEMENT + "/" + "registryData";
    send("registryData", body_xml, "", callURL, "", false, showRegistryCallback);
}

function showRegistryCallback() {
    if (!onError()) {
        return;
    }
    callbackhelper("registry.xsl", document.getElementById("divRegistry"));
}

function addRegistry() {
    esbwarning("Adding a registry through the admin UI is not yet supported", TYPE_INFO);
    return;
}
