<!--
  ~  Copyright (c) 2005-2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~  WSO2 Inc. licenses this file to you under the Apache License,
  ~  Version 2.0 (the "License"); you may not use this file except
  ~  in compliance with the License.
  ~  You may obtain a copy of the License at
  ~
  ~    http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~  Unless required by applicable law or agreed to in writing,
  ~  software distributed under the License is distributed on an
  ~  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~  KIND, either express or implied.  See the License for the
  ~  specific language governing permissions and limitations
  ~  under the License.
  ~
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:include href="log_view.xsl"/>
    <xsl:include href="property_view.xsl"/>
    <xsl:include href="send_view.xsl"/>
    <xsl:include href="header_view.xsl"/>
    <xsl:include href="class_view.xsl"/>
    <xsl:include href="script_view.xsl"/>
    <xsl:include href="xslt_view.xsl"/>
    <xsl:include href="validate_view.xsl"/>
    <xsl:include href="spring_view.xsl"/>
    <xsl:include href="filter_view.xsl"/>
    <xsl:include href="makefault_view.xsl"/>
    <xsl:include href="sequence_view.xsl"/>
    <xsl:include href="RMSequence_view.xsl"/>
    <xsl:include href="switch_view.xsl"/>
    <xsl:include href="throttle_view.xsl"/>
    <xsl:include href="dblookup_view.xsl"/>
    <xsl:include href="dbreport_view.xsl"/>
    <xsl:include href="pojoCommand_view.xsl"/>
    <xsl:include href="xquery_view.xsl"/>
    <xsl:include href="clone_view.xsl"/>      
    <xsl:include href="iterate_view.xsl"/>      
    <xsl:include href="target_view.xsl"/>
    <xsl:include href="cache_view.xsl"/>
    <xsl:include href="aggregate_view.xsl"/>
    <xsl:include href="callout_view.xsl"/>
    <xsl:include href="smooks_view.xsl"/>
    <xsl:include href="router_view.xsl"/>    


    <!-- Your custom mediator view xslt references goes here -->


</xsl:stylesheet>
