<!--
  ~  Copyright (c) 2005-2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~  WSO2 Inc. licenses this file to you under the Apache License,
  ~  Version 2.0 (the "License"); you may not use this file except
  ~  in compliance with the License.
  ~  You may obtain a copy of the License at
  ~
  ~    http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~  Unless required by applicable law or agreed to in writing,
  ~  software distributed under the License is distributed on an
  ~  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~  KIND, either express or implied.  See the License for the
  ~  specific language governing permissions and limitations
  ~  under the License.
  ~
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="*">
        <table><tbody>
        <xsl:if test="@thneed = 'true'">
            <tr>
                <th>Parameter Type</th>
                <th>Property Type</th>
                <th>Value / Expression</th>
                <th/>
            </tr>
        </xsl:if>
        <tr>
            <xsl:attribute name="name">syn-parameter</xsl:attribute>
            <xsl:attribute name="id"><xsl:value-of select="concat(concat(@parameter_index,'parameter_id'),@statement_index)"/></xsl:attribute>
          <td>
                <select class="esb-edit small_textbox">
                    <xsl:attribute name="id"><xsl:value-of select="concat('javaType',@esb_med_pos)"/></xsl:attribute>
                    <option value="CHAR" selected="true">CHAR</option>
                    <option value="VARCHAR">VARCHAR</option>
                    <option value="NUMERIC">NUMERIC</option>
                    <option value="DECIMAL">DECIMAL</option>
                    <option value="BIT">BIT</option>
                    <option value="TINYINT">TINYINT</option>
                    <option value="SMALLINT">SAMLLINT</option>
                    <option value="INTEGER">INTEGER</option>
                    <option value="BIGINT">BIGINT</option>
                    <option value="REAL">REAL</option>
                    <option value="DOUBLE">DOUBLE</option>
                    <option value="DATE">DATE</option>
                    <option value="TIME">TIME</option>
                    <option value="TIMESTAMP">TIMESTAMP</option>
                </select>
            </td>
             <td>
                <select class="esb-edit small_textbox">
                    <xsl:attribute name="id"><xsl:value-of select="concat('parameterType',@esb_med_pos)"/></xsl:attribute>
                    <xsl:attribute name="onchange">
                        javascript:showNamespaceButtonForPrametersdbr('<xsl:value-of select="@esb_med_pos"/>','<xsl:value-of select="@pindex"/>','parameterType','namespaceCell');;
                    </xsl:attribute>
                    <option value="value" selected="true">Value</option>
                    <option value="expression">expression</option>
                </select>
            </td>
            <td>
                <input type="text" id="parameter_value" class="esb-edit small_textbox">
                    <xsl:attribute name="value"><xsl:value-of select="@value"/></xsl:attribute>
                </input>
            </td>
            <td>
               <xsl:attribute name="id"><xsl:value-of select="concat('namespaceCell',@esb_med_pos)"/></xsl:attribute>
            </td>
            <td>
                <a href="#" id="delete_link">
                   <xsl:attribute name="onclick">javascript:deletemediatorparameterdbr('<xsl:value-of select="@statement_index"/>','<xsl:value-of select="@parameter_index"/>'); return false;
                   </xsl:attribute>
                   &#160;&#160;&#160;&#160;
                 </a>
            </td>
            </tr>
         </tbody></table>
            </xsl:template>
  </xsl:stylesheet>