<!--
  ~  Copyright (c) 2005-2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~  WSO2 Inc. licenses this file to you under the Apache License,
  ~  Version 2.0 (the "License"); you may not use this file except
  ~  in compliance with the License.
  ~  You may obtain a copy of the License at
  ~
  ~    http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~  Unless required by applicable law or agreed to in writing,
  ~  software distributed under the License is distributed on an
  ~  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~  KIND, either express or implied.  See the License for the
  ~  specific language governing permissions and limitations
  ~  under the License.
  ~
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="*" xmlns:syn="http://ws.apache.org/ns/synapse">
        <table><tbody>
        <xsl:if test="@thneed = 'true'">
            <tr>
                <th>Name</th>
                <th>Value</th>
                <th/>
            </tr>
        </xsl:if>
        <tr>
            <xsl:attribute name="name">syn-property</xsl:attribute>
            <xsl:attribute name="id"><xsl:value-of select="concat('property',@property_index)"/></xsl:attribute>
       <td>  <select class="esb-edit small_textbox">
                    <xsl:attribute name="onchange">
                                             javascript:onpropertynamechange('<xsl:value-of select="@property_index"/>');
                    </xsl:attribute>
                    <option value="Select A Value"  selected="true">Select A Property</option>
                    <option value="autocommit">autocommit</option>
                    <option value="isolation">isolation</option>
                    <option value="maxactive">maxactive</option>
                    <option value="maxidle">maxidle</option>
                    <option value="maxopenstatements">maxopenstatements</option>
                    <option value="maxwait">maxwait</option>
                    <option value="minidle">minidle</option>
                    <option value="poolstatements">poolstatements</option>
                    <option value="testonborrow">testonborrow</option>
                    <option value="testwhileidle">testwhileidle</option>
                    <option value="validationquery">validationquery</option>
                    <option value="initialsize">initialsize</option>
                </select>
            </td>
             <td>
                <input type="text" id="property_value" class="esb-edit_disabled">
                    <xsl:attribute name="value"/>
                    <xsl:attribute name="DISABLED"/>
                </input>
            </td>
                       <td><a href="#" id="delete_link">
                        <xsl:attribute name="onclick">javascript: deletepoolproperty('<xsl:value-of select="@property_index"/>'); return false;</xsl:attribute>&#160;&#160;&#160;&#160;</a></td>

            </tr>
        </tbody></table>
            </xsl:template>
  </xsl:stylesheet>