/*
 *  Copyright (c) 2005-2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 *  WSO2 Inc. licenses this file to you under the Apache License,
 *  Version 2.0 (the "License"); you may not use this file except
 *  in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 *
 */

/**
 * This js file is for the log mediator specific UI operations
 */

collectdata["log"] = function collectlogdata(mediator, validate) {

    var level_select = document.getElementById("log_level");
    var log_level_index = level_select.selectedIndex;
    var log_level_value = level_select.options[log_level_index].value;
    var log_separator = document.getElementById("log_separator").value;

    mediator.setAttribute("level", log_level_value);
    mediator.setAttribute("separator", log_separator);

    collectproppertydata(mediator);
    return true;
};

mediatorelementstring["log"] = function logstring() {
    return "<syn:log xmlns:syn='http://ws.apache.org/ns/synapse'/>";
};