<!--
  ~  Copyright (c) 2005-2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~  WSO2 Inc. licenses this file to you under the Apache License,
  ~  Version 2.0 (the "License"); you may not use this file except
  ~  in compliance with the License.
  ~  You may obtain a copy of the License at
  ~
  ~    http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~  Unless required by applicable law or agreed to in writing,
  ~  software distributed under the License is distributed on an
  ~  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~  KIND, either express or implied.  See the License for the
  ~  specific language governing permissions and limitations
  ~  under the License.
  ~
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="*">
        <table><tbody>
        <xsl:if test="@thneed = 'true'">
            <tr>
                <th>Result Name</th>
                <th>Column</th>
                <th/>
            </tr>
        </xsl:if>
        <tr>
            <xsl:attribute name="name">syn-result</xsl:attribute>
            <xsl:attribute name="id"><xsl:value-of select="concat(concat(@result_index,'result_id'),@statement_index)"/></xsl:attribute>
            <td>
                 <input type="text" id="property_name" class="esb-edit small_textbox">
                <xsl:attribute name="value"><xsl:value-of select="@name"/></xsl:attribute>
            </input>
            </td>          
            <td>
                 <input type="text" id="property_value" class="esb-edit small_textbox">
                <xsl:attribute name="value"><xsl:value-of select="@column"/></xsl:attribute>
            </input>
            </td>
            <td><a href="#" id="delete_link">
             <xsl:attribute name="onclick">javascript: deletemediatorresult('<xsl:value-of select="@statement_index"/>','<xsl:value-of select="@result_index"/>'); return false;</xsl:attribute>&#160;&#160;&#160;&#160;</a>
            </td>
            </tr>
        </tbody></table>
            </xsl:template>
  </xsl:stylesheet>