<!--
  ~  Copyright (c) 2005-2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~  WSO2 Inc. licenses this file to you under the Apache License,
  ~  Version 2.0 (the "License"); you may not use this file except
  ~  in compliance with the License.
  ~  You may obtain a copy of the License at
  ~
  ~    http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~  Unless required by applicable law or agreed to in writing,
  ~  software distributed under the License is distributed on an
  ~  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~  KIND, either express or implied.  See the License for the
  ~  specific language governing permissions and limitations
  ~  under the License.
  ~
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:include href="../commons.xsl"/>

    <xsl:template match="syn:smooks" xmlns:syn="http://ws.apache.org/ns/synapse">
         <div id="ep">
        <label class="content-header">
            <img align="top" src="extensions/core/images/smooks-big.gif"/>
            <xsl:text>Smooks Mediator</xsl:text>
        </label>
        <br/>
        <br/>
        <div class="mediator-inside">
	        <label style="padding-left:10px;">Smooks configuration<font style='color: red;font-size: 8pt;'>&#160;*</font></label>
	             <xsl:element name="input">
	                 <xsl:attribute name="id">smooks_key</xsl:attribute>
	                 <xsl:attribute name="style">margin-left: 3em;</xsl:attribute>
	                 <xsl:attribute name="type">text</xsl:attribute>
	                 <xsl:attribute name="size">20</xsl:attribute>
	                 <xsl:attribute name="class">esb-edit_disabled</xsl:attribute>
	                 <xsl:attribute name="value">
	                     <xsl:value-of select="@key"/>
	                 </xsl:attribute>
	                 <xsl:attribute name="DISABLED"/>
	             </xsl:element>
	            <xsl:element name="img">
	            <xsl:attribute name="style">margin-left: 3em;</xsl:attribute>
	            <xsl:attribute name="src">
	                extensions/core/images/registry_picker.gif</xsl:attribute>
	            <xsl:attribute name="title">Registry Browser</xsl:attribute>
	            <xsl:attribute name="onClick">
	                javascript:smooksconfigfromregistry('<xsl:value-of select="@esb_med_pos"/>');return false;
	            </xsl:attribute>
	        </xsl:element>
        </div>
        </div>
    </xsl:template>

</xsl:stylesheet>