<!--
  ~  Copyright (c) 2005-2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~  WSO2 Inc. licenses this file to you under the Apache License,
  ~  Version 2.0 (the "License"); you may not use this file except
  ~  in compliance with the License.
  ~  You may obtain a copy of the License at
  ~
  ~    http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~  Unless required by applicable law or agreed to in writing,
  ~  software distributed under the License is distributed on an
  ~  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~  KIND, either express or implied.  See the License for the
  ~  specific language governing permissions and limitations
  ~  under the License.
  ~
  -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html"/>

    <xsl:template match="*">

        <div id='formset'>
        	<div class="breadcrumb"> <a title="WSO2 ESB Home" onclick="javascript:showHome(); return false;" href="#">Home</a>&#160;&gt;&#160;<a href="#" onClick="javascript:globalStatisticsSettings(); return false;">
                    System Statistics</a>
                &#160;&gt;&#160;
                <a href="#" onClick="javascript:listServers(); return false;">
                    Server Statistics</a>
                &#160;&gt;&#160;Single Server Statistics</div>
        	<div class="page-main-title title-statistics">Server Statistics View</div>
        	
            <br></br>
            <xsl:choose>
                <xsl:when test="return">
                    <table width="70%">
                        <th class="static_table_headding">
                            Server Statistics
                        </th>
                        <tbody>
                            <tr>
                                <td><strong>Server ID :</strong>
                                    <xsl:value-of select="return"/>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <br></br>
                                    <div>
                                        <xsl:attribute name="id">Proxy_Services_main_div</xsl:attribute>
                                        <span class="treeSpan">
                                            <xsl:attribute name="id">Proxy_Services_span</xsl:attribute>
                                            <xsl:attribute name="onclick">javascript:showTreeBranch(document.getElementById('Proxy_Services_main_div'),document.getElementById('Proxy_Services_img'),'ProxyServices','<xsl:value-of select="return"/>');return false;
                                            </xsl:attribute>
                                            <img src="extensions/core/images/tree_closed.gif"><xsl:attribute name="id">Proxy_Services_img</xsl:attribute>
                                            </img>
                                            <a href="#">Proxy Services</a>                                              
                                        </span>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <div>
                                        <xsl:attribute name="id">Synapse_Service_main_div</xsl:attribute>
                                        <span class="treeSpan">
                                            <xsl:attribute name="id">Synapse_Service_span</xsl:attribute>
                                            <xsl:attribute name="onclick">javascript:showTreeBranch(document.getElementById('Synapse_Service_main_div'),document.getElementById('Synapse_Service_img'),'SynapseService','<xsl:value-of select="return"/>');return false;
                                            </xsl:attribute>
                                            <img src="extensions/core/images/tree_closed.gif"><xsl:attribute name="id">Synapse_Service_img</xsl:attribute>
                                            </img>
                                            <a href="#">Synapse Service </a>
                                        </span>
                                    </div>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </xsl:when>
                <xsl:otherwise>
                    <br/>
                    <i>
                        <font style='color: brown'>No data available</font>
                    </i>
                    <br/>
                    <br/>
                </xsl:otherwise>
            </xsl:choose>
        </div>
    </xsl:template>
</xsl:stylesheet>

