<!--
  ~  Copyright (c) 2005-2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~  WSO2 Inc. licenses this file to you under the Apache License,
  ~  Version 2.0 (the "License"); you may not use this file except
  ~  in compliance with the License.
  ~  You may obtain a copy of the License at
  ~
  ~    http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~  Unless required by applicable law or agreed to in writing,
  ~  software distributed under the License is distributed on an
  ~  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~  KIND, either express or implied.  See the License for the
  ~  specific language governing permissions and limitations
  ~  under the License.
  ~
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="*">
    	 <div class="breadcrumb"> <a title="WSO2 ESB Home" onclick="javascript:showHome(); return false;" href="#">Home</a>&#160;&gt;&#160; System Information</div>
		 <div class="page-main-title title-systeminformation"> System Information 
             <img src="extensions/core/images/help.gif" alt=""
                  onmouseover="showHelp(event,'systemInfoDiv')"
                  onmouseout="hideHelp(event,'systemInfoDiv')"/>
         </div><div id="systemInfoDiv"></div>
        
        <div id="formset">
            <form method="post"  name="systemRestart" action="server/stop">
				<table class="styled">
                    <thead><tr><th>Property</th><th>Value</th></tr></thead>
                    <xsl:for-each select="return">
						<tr>
						<td><strong>Axis2 Location</strong></td>
						<td><xsl:value-of select="axis2Location"/></td>
						</tr>
						<tr>
						<td><strong>Java Home</strong></td>
						<td><xsl:value-of select="javaHome"/></td>
						</tr>
						<tr>
						<td><strong>Java Runtime Name</strong></td>
						<td><xsl:value-of select="javaRuntimeName"/></td>
						</tr>
						<tr>
						<td><strong>Java Version</strong></td>
						<td><xsl:value-of select="javaVersion"/></td>
						</tr>
						<tr>
						<td><strong>Java Vendor</strong></td>
						<td><xsl:value-of select="javaVMVendor"/></td>
						</tr>
						<tr>
						<td><strong>Java VM Version</strong></td>
						<td><xsl:value-of select="javaVMVersion"/></td>
						</tr>
						<tr>
						<td><strong>OS Name</strong></td>
						<td><xsl:value-of select="osName"/></td>
						</tr>
						<tr>
						<td><strong>OS Version</strong></td>
						<td><xsl:value-of select="osVersion"/></td>
						</tr>
						<tr>
						<td><strong>Repository Location</strong></td>
						<td><xsl:value-of select="repoLocation"/></td>
						</tr>
						<tr>
						<td><strong>Server Name</strong></td>
						<td><xsl:value-of select="serverName"/></td>
						</tr>
						<tr>
						<td><strong>User Country</strong></td>
						<td><xsl:value-of select="userCountry"/></td>
						</tr>
						<tr>
						<td><strong>User Home</strong></td>
						<td><xsl:value-of select="userHome"/></td>
						</tr>
						<tr>
						<td><strong>User Name</strong></td>
						<td><xsl:value-of select="userName"/></td>
						</tr>
						<tr>
						<td><strong>User Timezone</strong></td>
						<td><xsl:value-of select="userTimezone"/></td>
						</tr>
					</xsl:for-each>
				</table>
				<p>&#160;</p>
			</form>
		</div>
    </xsl:template>
</xsl:stylesheet>
